Subject: Re: bug#77988: 31.0.50; No more images after fullscreen and load-theme

From: Alan Third <[email-masked]>
Date: Tue, 20 May 2025 21:58:26 +0100

On Fri, May 16, 2025 at 10:22:36AM +0300, Eli Zaretskii wrote:
> > From: Elijah Gabe Pérez <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Thu, 15 May 2025 22:54:24 -0600
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > >> From: Elijah Gabe Pérez <[email-masked]>
> > >> Cc: [email-masked],  [email-masked]
> > >> Date: Wed, 14 May 2025 12:47:54 -0600
> > >> 
> > >> Eli Zaretskii <[email-masked]> writes:
> > >> 
> > >> > Ping! Could someone please reproduce this?
> > >> 
> > >> Yep, i could reproduce this, I've noticed that reproducing this on a
> > >> Cairo build (with same build options) seems to fix it.
> > >
> > > Since Manuel explicitly says this is a Lucid-only issue, this is
> > > expected.
> > >
> > > Are you able to debug this to figure out why the problem happens in
> > > the Lucid build?
> > 
> > Yes, I can.
> 
> Thanks, adding Alan to the discussion, in case he has comments or
> ideas.

I think it's an issue at the display end. As Elijah says, if Cairo is
enabled it doesn't happen.

Reverting commit 6ea69fc7340e48cf73df351a544c1d8946395b3d seems to
make the problem go away. Cairo doesn't use the x_composite_image
function. It looks like the destination parameter is not always valid.
I had a look and it's usually populated from FRAME_X_PICTURE (s->f)
but a quick investigation left me none-the-wiser as to where THAT is
set and why it might go bad.

-- 
Alan Third